function FolderMenuVertical(ContDiv,MenuObj,thisObj,initf)

{

this.setHeightAndWidth=function(v)

{

	try	

	{	

	if(this.MenuObj.getWidth()>990 || this.MenuObj.getHeight()>2990 || typeof(this.MenuObj.getHeight())=='undefined')

 		setTimeout(thisObj+".setHeightAndWidth(0)",500);	

	}	

		

	catch(err)	

	{

		initf();	

	}

 



	switch(v) 

	{

		case 0:	

		this.ContDiv.style.width=this.MenuObj.getWidth()+"px"

		this.ContDiv.style.height=(100+this.MenuObj.getHeight())+"px"

		break;

		case 1:

		this.ContDiv.style.width=this.MenuObj.getWidth()+"px"

		break;

		case 2:

		this.ContDiv.style.width=(50+this.MenuObj.getWidth())+"px"

		break;

	}

}



this.setHeightAndWidthTO=function()

{



	if(this.TOtrigger) 

		{

			this.setHeightAndWidth(2);

			setTimeout(thisObj+".setHeightAndWidthTO()",50);

		}

	else

		setTimeout(thisObj+".setHeightAndWidth(1)",500);

}



	this.numOfTries=0;

	this.TOtrigger=false;

	this.ContDiv=document.getElementById(ContDiv);

	this.MenuObj=MenuObj;

	this.setHeightAndWidth(0);

}



function FolderMenuHorizontal(ContDiv,MenuObj,thisObj,initf)

{

this.setHeightAndWidth=function()

{

	try	

	{		

		if(this.MenuObj.getWidth()>990 || this.MenuObj.getHeight()>2990 || typeof(this.MenuObj.getHeight())=='undefined')

			setTimeout(thisObj+".setHeightAndWidth()",500);

		else

			this.ContDiv.style.height=this.MenuObj.getHeight()+"px";

		

	}	

	catch(err)	

	{

		initf();	

	}

}



	this.ContDiv=document.getElementById(ContDiv);

	this.MenuObj=MenuObj;

	this.setHeightAndWidth();

}



function FolderMenuDropDown(ContDiv,MenuObj,thisObj,ParentDiv,initf)

{

this.setHeightAndWidth=function(v)

{

	try	

	{	

		if(this.MenuObj.getWidth()>990 || this.MenuObj.getHeight()>2990 || typeof(this.MenuObj.getHeight())=='undefined')

			setTimeout(thisObj+".setHeightAndWidth(0)",500);	

	}	

	catch(err)	

	{

		initf();

	}

		

	switch(v) 

	{

		case 0:	

		this.ContDiv.style.width=this.MenuObj.getWidth()+"px"

		this.ContDiv.style.height=(100+this.MenuObj.getHeight())+"px"

		break;

		case 1:

		this.ContDiv.style.height=this.MenuObj.getHeight()+"px"

		break;

		case 2:

		this.ContDiv.style.height=(50+this.MenuObj.getHeight())+"px"

		break;

	}

}



this.setHeightAndWidthTO=function()

{



	if(this.TOtrigger) 

		{

			this.setHeightAndWidth(2);

			setTimeout(thisObj+".setHeightAndWidthTO()",50);

		}

	else

		setTimeout(thisObj+".setHeightAndWidth(1)",500);

}



this.setTop=function()

{

	oElementX = 0;

	oElementY = 0;

	Elem=this.ParentDiv;

	while( Elem != null ) 

		{

			oElementX += Elem.offsetLeft;

			oElementY += Elem.offsetTop;

			Elem = Elem.offsetParent;

		}

		if(this.ContDiv.style.left!=oElementX+"px") this.ContDiv.style.left=oElementX+"px";

		if(this.ContDiv.style.top!=oElementY+"px") this.ContDiv.style.top=oElementY+"px";

		

		setTimeout(thisObj+".setTop()",250);

}



	this.numOfTries=0;

	this.TOtrigger=false;

	this.ContDiv=document.getElementById(ContDiv);

	this.ParentDiv=document.getElementById(ParentDiv);

	this.MenuObj=MenuObj;

	this.setTop();

	this.setHeightAndWidth(0);

}